Bug 187629 - mail/mutt fails to build with COMPRESSED_FOLDERS
Summary: mail/mutt fails to build with COMPRESSED_FOLDERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-16 09:50 UTC by Simeon Simeonov
Modified: 2014-03-20 14:00 UTC (History)
0 users

See Also:


Attachments
mutt.diff (5.22 KB, patch)
2014-03-20 08:22 UTC, Udo.Schweigert
no flags Details | Diff
mutt.diff (5.22 KB, patch)
2014-03-20 08:22 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simeon Simeonov 2014-03-16 09:50:00 UTC
A normal build (make install clean) fails in the following way:


====> Compressing man pages (compress-man)
===>  Installing for mutt-1.5.23
===>  Checking if mail/mutt already installed
===>   Registering installation for mutt-1.5.23
pkg-static: lstat(/usr/ports/mail/mutt/work/stage/usr/local/share/doc/mutt/compressed-folders.html): No such file or directory
*** [fake-pkg] Error code 74

Stop in /usr/ports/mail/mutt.
*** [install] Error code 1

Stop in /usr/ports/mail/mutt.
Comment 1 Edwin Groothuis freebsd_committer 2014-03-16 10:05:05 UTC
Maintainer of mail/mutt,

Please note that PR ports/187629 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187629

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-16 10:05:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ryan Steinmetz freebsd_committer freebsd_triage 2014-03-17 12:24:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

I'll take it.
Comment 4 Udo.Schweigert 2014-03-20 08:22:31 UTC
Ok,

attached you'll find a patch which resolves that.

Reason was that the whole options stuff was broken.
This patch also fixes the mutt-lite slave port to be really "lite" ans
defines reasonable default options which are very coomonly used. Because of
that I bumped the PORTREVISION.

Udo (maintainer)
Comment 5 Udo.Schweigert 2014-03-20 08:22:31 UTC
Ok,

attached you'll find a patch which resolves that.

Reason was that the whole options stuff was broken.
This patch also fixes the mutt-lite slave port to be really "lite" ans
defines reasonable default options which are very coomonly used. Because of
that I bumped the PORTREVISION.

Udo (maintainer)
Comment 6 dfilter service freebsd_committer 2014-03-20 13:55:34 UTC
Author: zi
Date: Thu Mar 20 13:55:30 2014
New Revision: 348686
URL: http://svnweb.freebsd.org/changeset/ports/348686
QAT: https://qat.redports.org/buildarchive/r348686/

Log:
  - Resolve build when COMPRESSED_FOLDERS is enabled
  - Bump PORTREVISION
  
  PR:		ports/187629
  Submitted by:	Simeon Simeonov <blackmore@pichove.org>
  Approved by: 	"Schweigert, Udo" <Udo.Schweigert@siemens.com> (maintainer)

Modified:
  head/mail/mutt/Makefile
  head/mail/mutt/pkg-plist

Modified: head/mail/mutt/Makefile
==============================================================================
--- head/mail/mutt/Makefile	Thu Mar 20 13:43:15 2014	(r348685)
+++ head/mail/mutt/Makefile	Thu Mar 20 13:55:30 2014	(r348686)
@@ -3,6 +3,7 @@
 
 PORTNAME=	mutt
 PORTVERSION=	1.5.23
+PORTREVISION=	1
 CATEGORIES+=	mail ipv6
 MASTER_SITES=	ftp://ftp.mutt.org/mutt/ \
 		ftp://ftp.mutt.org/mutt/devel/ \
@@ -58,13 +59,15 @@ USE_OPENSSL=	yes
 .if defined (MUTT_LITE)
 LITE=	YES
 .endif
-.if !defined (LITE)
+.if defined (LITE)
+OPTIONS_UNSET=	NLS DOCS EXAMPLES
+.else
 OPTIONS_DEFINE=	COMPRESSED_FOLDERS SASL DEBUG FLOCK \
 		GPGME GREETING_PATCH GSSAPI HTML ICONV IDN IFDEF_PATCH \
 		IMAP_HEADER_CACHE LOCALES_FIX MAILBOX_MANPAGES \
 		MAILDIR_HEADER_CACHE MAILDIR_MTIME_PATCH \
-		NNTP PARENT_CHILD_MATCH_PATCH \
-		QUOTE_PATCH REVERSE_REPLY_PATCH SGMLFORMAT SIDEBAR_PATCH \
+		NLS NNTP PARENT_CHILD_MATCH_PATCH \
+		QUOTE_PATCH REVERSE_REPLY_PATCH SIDEBAR_PATCH \
 		SIGNATURE_MENU SMART_DATE SMIME_OUTLOOK_COMPAT SMTP \
 		TOKYOCABINET TRASH_PATCH XML
 
@@ -89,10 +92,10 @@ MAILDIR_HEADER_CACHE_DESC=	Maildir heade
 MAILDIR_MTIME_PATCH_DESC=	Maildir mtime patch
 MBOX_HOOK_PATCH_DESC=	Enhanced mbox-hook
 NCURSES_DESC=	Ncurses support
+NLS_DESC=	Native language support
 PARENT_CHILD_MATCH_PATCH_DESC=	Parent/child match
 QUOTE_PATCH_DESC=	Extended quoting
 REVERSE_REPLY_PATCH_DESC=	Reverse_reply
-SGMLFORMAT_DESC=	SGML support
 SIDEBAR_PATCH_DESC=	Sidebar support
 SIGNATURE_MENU_DESC=	Signature menu
 SLANG_DESC=	SLANG support
@@ -101,11 +104,13 @@ SMIME_OUTLOOK_COMPAT_DESC=	SMIME outlook
 SMTP_DESC=	SMTP relay support
 TOKYOCABINET_DESC=	Use tokyocabinet instead of Berkley DB
 TRASH_PATCH_DESC=	Trash folder support
-XML_DESC=	Use XML tools for building documentation
+XML_DESC=	Use XML tools for rebuilding documentation
 
-OPTIONS_DEFAULT=	COMPRESSED_FOLDERS HTML ICONV MAILBOX_MANPAGES \
-		NCURSES QUOTE_PATCH SGMLFORMAT SMIME_OUTLOOK_COMPAT \
-		NLS XML SMTP
+OPTIONS_DEFAULT=	COMPRESSED_FOLDERS HTML ICONV IFDEF_PATCH \
+		IMAP_HEADER_CACHE MAILBOX_MANPAGES MAILDIR_HEADER_CACHE \
+		MAILDIR_MTIME_PATCH NLS NCURSES PARENT_CHILD_MATCH_PATCH \
+		QUOTE_PATCH REVERSE_REPLY_PATCH SMART_DATE \
+		SMIME_OUTLOOK_COMPAT SMTP XML
 .endif
 
 .include <bsd.port.options.mk>
@@ -137,7 +142,7 @@ PLIST_SUB+=	MBOXMAN=""
 # XXX
 # this should be done automagically by aclocal but ....
 # for now, this will have to do
-pre-build:
+pre-build::
 	@${REINPLACE_CMD} -E -e "s|^(ACLOCAL = ).+|\1${ACLOCAL}|" \
 			-e "s|^(AUTOCONF = ).+|\1${AUTOCONF}|" \
 			-e "s|^(AUTOMAKE = ).+|\1${AUTOMAKE}|" \
@@ -169,11 +174,6 @@ LIB_DEPENDS+=	libslang.so:${PORTSDIR}/de
 USES+=		ncurses
 .endif
 
-.if ! ${PORT_OPTIONS:MSGMLFORMAT} || ! ${PORT_OPTIONS:MXML} || !defined(XML_USED) \
-	|| ! ${PORT_OPTIONS:MDOCS}
-XML_USED=	no
-.endif
-
 .if ${PORT_OPTIONS:MNLS}
 USES+=		gettext
 PLIST_SUB+=	NLS=""
@@ -403,13 +403,6 @@ CONFIGURE_ARGS+=	--disable-hcache
 CONFIGURE_ARGS+=	--without-qdbm
 .endif
 
-.if defined (XML_NEEDED) && ${PORT_OPTIONS:MXML}
-XML_USED=	yes
-.endif
-.if ${PORT_OPTIONS:MHTML}
-XML_USED=	yes
-.endif
-
 .if ${PORT_OPTIONS:MMAILBOX_MANPAGES}
 PLIST_SUB+=	MBOXMAN=""
 .else
@@ -421,7 +414,7 @@ PLIST_SUB+=	HTML=""
 .else
 PLIST_SUB+=	HTML="@comment "
 .endif
-.if ${PORT_OPTIONS:MDOCS} || ${XML_USED} == yes
+.if ${PORT_OPTIONS:MDOCS}
 post-build:
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-doc-ref
 	@${REINPLACE_CMD} -E -e 's|\$$\{PREFIX\}|${PREFIX}|g' \
@@ -434,10 +427,16 @@ post-build:
 		${WRKSRC}/doc/muttrc.man
 .endif
 
-.if ${XML_USED} == yes
+.if defined (XML_NEEDED) && ${PORT_OPTIONS:MXML}
+PLIST_SUB+=	XML=""
 BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
 		${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl \
 		lynx:${PORTSDIR}/www/lynx
+.else
+PLIST_SUB+=	XML="@comment "
+pre-build::
+	@${REINPLACE_CMD} -E -e 's|-xsltproc|@-true xsltproc|g' \
+		${WRKSRC}/doc/Makefile
 .endif
 
 .if ${PORT_OPTIONS:MSLANG}

Modified: head/mail/mutt/pkg-plist
==============================================================================
--- head/mail/mutt/pkg-plist	Thu Mar 20 13:43:15 2014	(r348685)
+++ head/mail/mutt/pkg-plist	Thu Mar 20 13:55:30 2014	(r348686)
@@ -38,19 +38,19 @@ man/man5/muttrc.5.gz
 %%PORTDOCS%%%%DOCSDIR%%/patch-notes.txt
 %%PORTDOCS%%%%DOCSDIR%%/smime-notes.txt
 %%NNTP%%%%PORTDOCS%%%%DOCSDIR%%/ChangeLog.nntp
-%%PORTDOCS%%%%DOCSDIR%%/advancedusage.html
-%%PORTDOCS%%%%DOCSDIR%%/configuration.html
-%%PORTDOCS%%%%DOCSDIR%%/gettingstarted.html
-%%PORTDOCS%%%%DOCSDIR%%/index.html
-%%PORTDOCS%%%%DOCSDIR%%/intro.html
-%%PORTDOCS%%%%DOCSDIR%%/manual.html
-%%PORTDOCS%%%%DOCSDIR%%/mimesupport.html
-%%PORTDOCS%%%%DOCSDIR%%/miscellany.html
-%%PORTDOCS%%%%DOCSDIR%%/optionalfeatures.html
-%%PORTDOCS%%%%DOCSDIR%%/reference.html
-%%PORTDOCS%%%%DOCSDIR%%/security.html
-%%PORTDOCS%%%%DOCSDIR%%/tuning.html
-%%COMPRESS%%%%PORTDOCS%%%%DOCSDIR%%/compressed-folders.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/advancedusage.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/configuration.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/gettingstarted.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/index.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/intro.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/manual.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/mimesupport.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/miscellany.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/optionalfeatures.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/reference.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/security.html
+%%HTML%%%%PORTDOCS%%%%DOCSDIR%%/tuning.html
+%%XML%%%%HTML%%%%COMPRESS%%%%PORTDOCS%%%%DOCSDIR%%/compressed-folders.html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Mush.rc
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/Pine.rc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ryan Steinmetz freebsd_committer freebsd_triage 2014-03-20 13:55:42 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!